### Function

# GObject signal_handler_block

#### Declaration

    void
    g_signal_handler_block (
      GObject* instance,
      gulong handler_id
    )

#### Description

Blocks a handler of an instance so it will not be called during any signal emissions unless it is unblocked again. Thus “blocking” a signal handler means to temporarily deactivate it, a signal handler has to be unblocked exactly the same amount of times it has been blocked before to become active again.

The `handler_id` has to be a valid signal handler id, connected to a signal of `instance`.

#### Parameters

`instance`

  Type: `GObject`

  The instance to block the signal handler of.

  The data is owned by the caller of the function.

`handler_id`

  Type: `gulong`

  Handler id of the handler to be blocked.